package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Ord;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface OrdMapper {

    int insert(Ord record);

    int insertSelective(Ord record);

    int updateByPrimaryKeySelective(Ord record);

    int updateByPrimaryKey(Ord record);

    int deleteByPrimaryKey(Ord record);

    int deleteByIds(Collection<Object> collection);

    Ord selectByPrimaryKey(Ord record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ord> dyncRead(Map<String,Object> dyncMap);

    Ord selectByOrdInr(@Param("ordinr") String ordinr);

    String selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);
    Ord selectFirstByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);
}